=== debian/changelog ===
svt-vp9-dmo (0.3.0-dmo2) unstable; urgency=medium

  * Fixes Section for all packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Mar 2021 11:15:34 +0100

svt-vp9-dmo (0.3.0-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Oct 2020 08:49:12 +0100

svt-vp9-dmo (0.2.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 22 Jul 2020 08:37:02 +0200

svt-vp9-dmo (0.2.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Jul 2020 08:27:10 +0200

svt-vp9-dmo (0.2.0-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 May 2020 08:21:04 +0200

svt-vp9-dmo (0.1.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Oct 2019 13:47:20 +0200
