=== debian/control ===
Source: svt-vp9-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/OpenVisualCloud/SVT-VP9
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, nasm

Package: svt-vp9
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scalable Video Technology for VP9 Encoder 
 The Scalable Video Technology for VP9 Encoder (SVT-VP9 Encoder) is a
 VP9-compliant encoder library core. The SVT-VP9 Encoder development is a
 work-in-progress targeting performance levels applicable to both VOD and
 Live encoding/transcoding video applications.
 .
 The SVT-VP9 Encoder is being optimized to achieve excellent performance
 levels currently supporting 10 density-quality presets (please refer to the
 user guide for more details) on a system with a dual Intel® Xeon® Scalable
 processor targeting:
 .
   * Real-time encoding of up to two 4Kp60 streams on the Gold 6140 with M8.
 .
 SVT-VP9 Encoder also supports 3 modes:
 .
   * A visually optimized mode for visual quality (-tune 0)
 .
   * An PSNR/SSIM optimized mode for PSNR / SSIM benchmarking (-tune 1
     (Default setting))
 .
   * An VMAF optimized mode for VMAF benchmarking (-tune 2)

Package: libsvtvp9enc1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scalable Video Technology for VP9 Encoder - runtime files
 The Scalable Video Technology for VP9 Encoder (SVT-VP9 Encoder) is a
 VP9-compliant encoder library core. The SVT-VP9 Encoder development is a
 work-in-progress targeting performance levels applicable to both VOD and
 Live encoding/transcoding video applications.
 .
 The SVT-VP9 Encoder is being optimized to achieve excellent performance
 levels currently supporting 10 density-quality presets (please refer to the
 user guide for more details) on a system with a dual Intel® Xeon® Scalable
 processor targeting:
 .
   * Real-time encoding of up to two 4Kp60 streams on the Gold 6140 with M8.
 .
 SVT-VP9 Encoder also supports 3 modes:
 .
   * A visually optimized mode for visual quality (-tune 0)
 .
   * An PSNR/SSIM optimized mode for PSNR / SSIM benchmarking (-tune 1
     (Default setting))
 .
   * An VMAF optimized mode for VMAF benchmarking (-tune 2)
 .
 This package contains the runtime files.

Package: libsvtvp9enc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsvtvp9enc1 (= ${binary:Version}), ${misc:Depends}
Description: Scalable Video Technology for VP9 Encoder - development files
 The Scalable Video Technology for VP9 Encoder (SVT-VP9 Encoder) is a
 VP9-compliant encoder library core. The SVT-VP9 Encoder development is a
 work-in-progress targeting performance levels applicable to both VOD and
 Live encoding/transcoding video applications.
 .
 The SVT-VP9 Encoder is being optimized to achieve excellent performance
 levels currently supporting 10 density-quality presets (please refer to the
 user guide for more details) on a system with a dual Intel® Xeon® Scalable
 processor targeting:
 .
   * Real-time encoding of up to two 4Kp60 streams on the Gold 6140 with M8.
 .
 SVT-VP9 Encoder also supports 3 modes:
 .
   * A visually optimized mode for visual quality (-tune 0)
 .
   * An PSNR/SSIM optimized mode for PSNR / SSIM benchmarking (-tune 1
     (Default setting))
 .
   * An VMAF optimized mode for VMAF benchmarking (-tune 2)
 .
 This package contains the development files.
