=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_install:
	find debian/tmp -name libSvtVp9Enc.so -delete

	dh_install

override_dh_clean:
	dh_clean Bin/None/* Source/API/EbApiVersion.h

override_dh_auto_test:
