=== debian/watch ===
version=4

https://github.com/OpenVisualCloud/SVT-VP9/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
