## svt-vp9-dmo 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # SPDX - License - Identifier: BSD - 2 - Clause - Patent
 # ~~~
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.5)
 set(project_name "svt-vp9")
 
 if("${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
@@ -48,7 +48,7 @@
 
 set(SVT_VP9_VERSION_MAJOR "0")
 set(SVT_VP9_VERSION_MINOR "3")
-set(SVT_VP9_VERSION_PATCHLEVEL "0")
+set(SVT_VP9_VERSION_PATCHLEVEL "1")
 
 configure_file(${PROJECT_SOURCE_DIR}/Source/API/EbApiVersion.h.in ${PROJECT_SOURCE_DIR}/Source/API/EbApiVersion.h @ONLY)
 
@@ -119,11 +119,9 @@
     -fPIC
     -D_FORTIFY_SOURCE=2
     #-flto
-    -fvisibility=hidden
-    /GS
-    /sdl)
+    -fvisibility=hidden)
 if(MSVC)
-    list(APPEND flags_to_test /MP)
+    list(APPEND flags_to_test /MP /GS /sdl)
 else()
     option(NATIVE "Build for native performance (march=native)")
     list(INSERT flags_to_test 0 -Wall)
