=== debian/changelog ===
svt-vp9-dmo (0.3.1-dmo1) unstable; urgency=medium

  * ew upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Dec 2025 08:23:49 +0100
