=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_clean:
	dh_clean Source/API/EbApiVersion.h \
	Bin/RelWithDebInfo/*

override_dh_auto_test:
